{"openapi":"3.0.0","info":{"title":"115094_palfy_z2","version":"1.0.0","description":"Second Part"},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/XPALFY/115094_palfy_z2_second_part/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"http://node84.webte.fei.stuba.sk:8090/second_part/api.php"}],"paths":{"/data":{"get":{"summary":"Retrieve data based on value and type","parameters":[{"in":"query","name":"value","required":true,"schema":{"type":"string"},"description":"The value to search for."},{"in":"query","name":"typ","schema":{"type":"string"},"description":"The type of data to retrieve, if applicable."}],"responses":{"200":{"description":"Successful retrieval of data.","content":{"application/json":{"schema":{"type":"object","properties":{"headers":{"type":"array","items":{"type":"string"}},"data":{"type":"array","items":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"text":{"type":"string"}}},{"type":"object","properties":{"href":{"type":"string"}}}]}}}}}}}},"404":{"description":"Invalid endpoint or resource not found."}}}},"/getDetail":{"get":{"summary":"Get detailed information for a specific item.","parameters":[{"in":"query","name":"detail","required":true,"schema":{"type":"string"},"description":"The unique identifier for the detail requested."},{"in":"query","name":"pracoviste","required":true,"schema":{"type":"string"},"description":"Workplace identifier to further specify the request."}],"responses":{"200":{"description":"Detailed information retrieved successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"headers":{"type":"array","items":{"type":"string"},"description":"An array of headers, which are strings."},"data":{"type":"array","items":{"type":"string"},"description":"An array of data, which are strings."}},"additionalProperties":false,"description":"A response object containing only headers and data, both of which are arrays of strings."}}}},"404":{"description":"Detail not found or invalid parameters provided."}}}}}}